Update table autocomplete settings
deprecated
update workspace table’s autocomplete
Authentication: required
Required API Scope: Workspace Database: Update
PUT
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
autocomplete
Update table autocomplete settings
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/autocomplete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"autocomplete": [
{
"name": "id"
}
]
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/autocomplete"
payload = { "autocomplete": [{ "name": "id" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({autocomplete: [{name: 'id'}]})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"autocomplete": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonmultipart/form-data
Show child attributes
Show child attributes
Related topics
update workspace table's autocompleteUpdate table trigger security settingsUpdate table properties including name, description, tags, and authentication settingsWas this page helpful?
Update table autocomplete settings
